From 57569e8d718edf8733eba6b4f4c242f7cbce111d Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:54:10 +0000
Subject: [PATCH 707/1001] Rename get_widget to get_widget_instance


To make the distinction clearer betweed widgets (subclasses of
hubs.widgets.base.Widget) and widget instances (database records,
instances of hubs.models.Widget).

---

diff --git a/hubs/views/utils.py b/hubs/views/utils.py
index e2d4bd2..df05992 100644
--- a/hubs/views/utils.py
+++ b/hubs/views/utils.py
@@ -20,7 +20,7 @@ def get_hub(name, session=None):
         flask.abort(404)
 
 
-def get_widget(hub, idx, session=None):
+def get_widget_instance(hub, idx, session=None):
     """ Utility shorthand to get a widget and 404 if not found. """
     if session is None:
         session = flask.g.db
diff --git a/hubs/views/widget.py b/hubs/views/widget.py
index f413985..613e47d 100644
--- a/hubs/views/widget.py
+++ b/hubs/views/widget.py
@@ -3,14 +3,14 @@ from __future__ import unicode_literals, absolute_import
 import datetime
 import flask
 
-from hubs.app import app, session
-from .utils import get_widget
+from hubs.app import app
+from .utils import get_widget_instance
 
 
 @app.route('/<hub>/<int:idx>/')
 @app.route('/<hub>/<int:idx>')
 def widget_render(hub, idx):
-    widget = get_widget(hub, idx)
+    widget = get_widget_instance(hub, idx)
     return widget.render()  # , edit=False)
     # was blocking all widgets from working, sorry!
 
@@ -18,7 +18,7 @@ def widget_render(hub, idx):
 @app.route('/<hub>/<int:idx>/json')
 @app.route('/<hub>/<int:idx>/json/')
 def widget_json(hub, idx):
-    widget = get_widget(hub, idx)
+    widget = get_widget_instance(hub, idx)
     response = flask.jsonify(widget.__json__())
     # TODO -- modify headers with response.headers['X-fedora-hubs-wat'] = 'foo'
     return response
@@ -34,7 +34,7 @@ def widget_edit(hub, idx):
 
 
 def widget_edit_get(hub, idx):
-    widget = get_widget(hub, idx)
+    widget = get_widget_instance(hub, idx)
     return flask.render_template(
         'edit.html',
         hub=hub,
@@ -44,7 +44,7 @@ def widget_edit_get(hub, idx):
 
 
 def widget_edit_post(hub, idx):
-    widget = get_widget(hub, idx)
+    widget = get_widget_instance(hub, idx)
     error = False
     config = {}
     for arg in widget.module.data.widget_arguments:
@@ -80,7 +80,7 @@ def widget_edit_post(hub, idx):
 @app.route('/<hub>/<int:idx>/delete', methods=['POST'])
 def widget_edit_delete(hub, idx):
     ''' Remove a widget from a hub. '''
-    widget = get_widget(hub, idx)
+    widget = get_widget_instance(hub, idx)
     flask.g.db.delete(widget)
     try:
         flask.g.db.commit()

